# class DBus::IntrospectXMLParser::NokogiriParser

### Public Class Methods

new(xml) click to toggle source
Calls superclass method

       # File lib/dbus/xml.rb
    79 def initialize(xml)
    80   super()
    81   @doc = Nokogiri.XML(xml)
    82 end

### Public Instance Methods

each(path, &block) click to toggle source

       # File lib/dbus/xml.rb
    84 def each(path, &block)
    85   @doc.search("//#{path}").each { |node| block.call NokogiriNode.new(node) }
    86 end